Loading...
Searching...
No Matches
L4::Ipc::Send_only Struct Reference

RPC attribute for a send-only RPC. More...

`#include <ipc_iface>`

Collaboration diagram for L4::Ipc::Send_only:

## Detailed Description

RPC attribute for a send-only RPC.

This class can be used as FLAGS parameter to L4::Ipc::Msg::Rpc_call and L4::Ipc::Msg::Rpc_inline_call templates and declares the RPC to use send-only semantics and timeouts.

Examples:

L4_RPC(long, send, (unsigned value), L4::Ipc::Send_only);
L4_RPC
#define L4_RPC(res, name, args, attr...)
Define an RPC call (type and callable).
Definition ipc_iface:541
L4::Ipc::Send_only
RPC attribute for a send-only RPC.
Definition ipc_iface:288

Definition at line 287 of file ipc_iface.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_iface